CAD Forum - tips, tricks, discussion and utilities for AutoCAD, Inventor and other Autodesk products [www.cadforum.cz]
Cesky English Deutsch
Login/Register:
 Visitors: 2044 

CAD tip CAD tip # 8910:

Question CAD 
 %  platform  category 
Q - question

iLogic rule to measure loop length in a sketch.

A - answer With a simple iLogic expression (rule) you can automatically display loop length - length of the first sketch containing any geometry.

2D sketch:

  
Dim se As SketchEntity = ThisDoc.Document.ComponentDefinition.Sketches(1).SketchLines(1)  
MsgBox(ThisApplication.MeasureTools.GetLoopLength(se)*10 & " mm")  

3D sketch:

  
Dim se As SketchEntity3D = ThisDoc.Document.ComponentDefinition.Sketches3D(1).SketchLines3D(1)  
MsgBox(ThisApplication.MeasureTools.GetLoopLength(se)*10 & " mm")  
Inventor
100% *  CAD 
15.11.2012    3244x  
Comments   Tell a friend
applies to: Inventor ·

See also:
Tip 11111:Inventor drawing diplays flipped, mirrored (as from underside)
Tip 10889:How to get user's full domain name, phone No., department, e-mail...
Tip 10852:iLogic - how to get part material and path from a drawing?
Tip 10426:How to display any web page in Inventor?
Tip 10114:iLogic tip: returning a value on the True and False conditions.


Back   All CAD Tips All CAD tips&tricks

Drafting settings: Please enter an integer from 1 to 100 « | » Creating a dormer in Revit Architecture.

Have we helped you? If you want to support the CAD Forum web service, consider buying one of our CAD applications, or our custom software development offerings, or donating via PayPal (see above). You may also add a link to your web - like this "fan" link: CAD Forum - tips, utilities, blocks for Autodesk products
CAD:    OS:    Categ: 
Text:  FAQ glossary   



Featuring:
Use Google Earth images in your AutoCAD projects with the Plex.Earth Tools More info


Please use these tips at your own risk.
CAD Studio (Xanadu) is not responsible for possible problems that may occur as a result of using any of these tips.
TOPlist